D3_Rails

Automates the installation of the D3 javascript framework for Ruby on Rails 3.1+ applications with the asset pipeline.

Installation -

In your Gemfile:

gem 'd3_rails'

Terminal/Command Prompt: bundle install/update In your assets/javascripts/application.js, you will need to add d3 to your manifest: //= require jquery . . //= require d3

Usage -

Bundle installing d3_rails will add the main d3.js file to your application. However, if you require the additional javascripts included by the D3, such as d3.layout.js or d3.chart.js, all you need to do is include the desired javascripts in your javascript manifest in your assets/javascripts/application.js file. Ex. //= require jquery . . //= require d3 //= require d3.chart etc..